<div class="row alert alert-light mx-4 mt-3">
  <div class="d-flex mt-1 mb-1 pt-1 pb-1 pl-0 ml-0 col-md-2">
    <img src="assets/images/novartis/search.svg" alt="Search" />
    <input placeholder="Search" type="text" #query [(ngModel)]="searchtxt"
      [ngClass]="query.value?'search':'emptySearch'" />
  </div>
  <div class="d-flex mt-1 mb-1 pt-1 pb-1 pl-2 border-left border-light col-md-10">
    <div class="row pl-4">
      <ejs-multiselect #providerName cssClass="e-outline" class="custom-ddl" placeholder="Select Provider" width="200px"
        class="mr-2" showSelectAll="true" selectAllText="Select All" mode="CheckBox" [showDropDownIcon]='true' filterBarPlaceholder="Search"
        [dataSource]="providerList" (change)="providerListChange($event)">
      </ejs-multiselect>
      <ejs-multiselect #datasetName cssClass="e-outline" class="custom-ddl" placeholder="Select Dataset" width="200px" filterBarPlaceholder="Search"
        class="mr-2" showSelectAll="true" selectAllText="Select All" mode="CheckBox" [showDropDownIcon]='true'
        [dataSource]="dataSetList" (change)="dataSetListChange($event)">
      </ejs-multiselect>
      <div *ngFor="let selectedAttribute of selectedAttributes; let i = index">
        <div class="d-flex" *ngIf="selectedAttribute.value === 'business_nm'">
          <ejs-multiselect #businessName name="business" cssClass="e-outline" [dataSource]="businessNameList"
            [placeholder]="selectedAttribute.name" showSelectAll="true" selectAllText="Select All" mode="CheckBox" filterBarPlaceholder="Search"
            (change)="businessNameChange($event)" width="200px" class="mr-2" [showDropDownIcon]='true'>
          </ejs-multiselect>
          <button class="btn pt-0 pl-0" aria-label="Delete selectedAttribute" #deleteButton aria-expanded="false"
            (click)="deleted(selectedAttribute)">
            <img src="assets/images/novartis/remove.svg" alt="Search" height="16px" />
          </button>
        </div>
        <div class="d-flex" *ngIf="selectedAttribute.value === 'frequency'">
          <ejs-multiselect #frequency name="frequency" cssClass="e-outline" [dataSource]="frequencyList"
            [placeholder]="selectedAttribute.name" showSelectAll="true" selectAllText="Select All" mode="CheckBox" filterBarPlaceholder="Search"
            (change)="frequencyChange($event)" width="200px" class="mr-2" [showDropDownIcon]='true'>
          </ejs-multiselect>
          <button class="btn pt-0 pl-0" aria-label="Delete selectedAttribute" #deleteButton aria-expanded="false"
            (click)="deleted(selectedAttribute)">
            <img src="assets/images/novartis/remove.svg" alt="Search" height="16px" />
          </button>
        </div>
      </div>
      <div class="dropdown mr-1">
        <button [disabled]="attributesForFilter.length === 0" class="iconTextButton btn btn-primary"
          aria-label="Add New Filter" #dropdownMenuButton data-toggle="dropdown" aria-expanded="false">
          <img src="assets/images/novartis/add.svg" alt="Add More Filter" /><span class="ml-1 mr-1">Add</span>
        </button>
        <button class="btn reset" aria-label="Reset Search" #dropdownMenuButton aria-expanded="false"
          (click)="clearFilter()"><span class="ml-1">Reset</span>
        </button>
        <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
          <a class="dropdown-item" *ngFor="let item of attributesForFilter"
            (click)="attributeSelected(item)">{{item.name}}</a>
        </div>
      </div>
    </div>
  </div>
</div>

<div class="mx-4 mt-3 mb-4">
  <!-- <div class="col-md-12"> -->
    <app-onboarded-data-catalog [searchtxt]="searchtxt" [providerToFilter]="providerToFilter"
      [dataSetToFilter]="dataSetToFilter" [businessNameToFilter]="businessNameToFilter"
      [frequencyToFilter]="frequencyToFilter"></app-onboarded-data-catalog>
  <!-- </div> -->
</div>